Permalink
Browse files

added basic structure for Rubinius

  • Loading branch information...
1 parent 2fa426c commit 995d543b6458f84b05bd75464c7c270f1dfb14d2 @goncalossilva goncalossilva committed Mar 25, 2011
@@ -271,10 +271,11 @@ def measure; end
end
end
-RUBY_ENGINE = "ruby" unless defined?(RUBY_ENGINE)
+RUBY_ENGINE = 'ruby' unless defined?(RUBY_ENGINE) # mri 1.8
case RUBY_ENGINE
- when "ruby" then require 'active_support/testing/performance/ruby'
+ when 'ruby' then require 'active_support/testing/performance/ruby'
+ when 'rubinius' then require 'active_support/testing/performance/rubinius'
else
- $stderr.puts "Your ruby interpreter is not supported for benchmarking."
+ $stderr.puts 'Your ruby interpreter is not supported for benchmarking.'
exit
end
@@ -0,0 +1,61 @@
+module ActiveSupport
+ module Testing
+ module Performance
+ protected
+ def run_gc
+ end
+
+ module Metrics
+ class Base
+ def profile
+ yield
+ end
+
+ protected
+ def with_gc_stats
+ yield
+ end
+ end
+
+ class Time < Base; end
+
+ class ProcessTime < Time
+ def measure; 0; end
+ end
+
+ class WallTime < Time
+ def measure; 0; end
+ end
+
+ class CpuTime < Time
+ def measure; 0; end
+ end
+
+ class Memory < Base
+ def measure; 0; end
+ end
+
+ class Objects < Amount
+ def measure; 0; end
+ end
+
+ class GcRuns < Amount
+ def measure; 0; end
+ end
+
+ class GcTime < Time
+ def measure; 0; end
+ end
+ end
+ end
+ end
+end
+
+if RUBY_VERSION >= '1.9.2'
+ require 'active_support/testing/performance/ruby/yarv'
+elsif RUBY_VERSION >= '1.8.6'
+ require 'active_support/testing/performance/ruby/mri'
+else
+ $stderr.puts 'Update your ruby interpreter to be able to run benchmarks.'
+ exit
+end
@@ -157,11 +157,11 @@ def measure; 0; end
end
end
-if RUBY_VERSION >= "1.9.2"
+if RUBY_VERSION >= '1.9.2'
require 'active_support/testing/performance/ruby/yarv'
-elsif RUBY_VERSION >= "1.8.6"
+elsif RUBY_VERSION >= '1.8.6'
require 'active_support/testing/performance/ruby/mri'
else
- $stderr.puts "Update your ruby interpreter to be able to run benchmarks."
+ $stderr.puts 'Update your ruby interpreter to be able to run benchmarks.'
exit
end

0 comments on commit 995d543

Please sign in to comment.